import { BaseEntity } from './../../shared';
import { Organization } from '../organization';
import { Vehicle } from '../vehicle/vehicle.model';
import { Person } from '../person';

export class CustomVehicleDocumentRequirement implements BaseEntity {
    constructor(
        public id?: any,
        public fakturATPM ?: any,
        public fakturATPMDate ?: any,
        public ivuNumber ?: any,
        public vsoNumber ?: any,
        public name ?: any,
        public idFrame ?: any,
        public idMachine ?: any,
        public salesname ?: any,
        public note ?: any,
        public selisih ?: any,
        public statusFaktur ?: any,
        public idRequirement ?: any,
        public registrationNumber ?: any,
        public requestPoliceNumber ?: any,
        public idVendor ?: any,
        public dateFillName ?: any,
        public idOrderItem ?: any,
        public idOrder ?: any,
        public idPersonOwner ?: any,
        public saleType ?: any,
        public idVehicle ?: any,
        public idInternal ?: any,
        public idBillTo ?: any,
        public idShipTo ?: any,
        public creditInstallment ?: any,
        public creditDownPayment ?: any,
        public creditTenor ?: any,
        public idCustomer ?: any,
        public saleTypeDesc ?: any,
        public fincoy ?: any,
        public productId ?: any,
        public personalIdNumber ?: any,
        public gender ?: any,
        public dob ?: any,
        public familyIdNumber ?: any,
        public address1 ?: any,
        public village ?: any,
        public district ?: any,
        public city ?: any,
        public province ?: any,
        public religionTypeId ?: any,
        public workTypeId ?: any,
        public cellPhone1 ?: any,
        public cellPhone2 ?: any,
        public expenditureOneMonth ?: any,
        public lastEducation ?: any,
        public infoAboutHonda ?: any,
        public vehicleTypeOwner ?: any,
        public buyFor ?: any,
        public vehicleBrandOwner ?: any,
        public vehicleUser ?: any,
        public email ?: any,
        public homeStatus ?: any,
        public mobilePhoneOwnershipStatus ?: any,
        public facebook ?: any,
        public instagram ?: any,
        public twitter ?: any,
        public youtube ?: any,
        public hobby ?: any,
        public keterangan ?: any,
        public groupCustomer ?: any,
        public jenisPembayaran ?: any,
        public idProvinceSurat ?: any,
        public idCitySurat ?: any,
        public idDistrictSurat ?: any,
        public addressSurat ?: any,
        public codeProvinceSurat ?: any,
        public codeCitySurat ?: any,
        public idVillageSurat ?: any,
        public codeVillageSurat ?: any,
        public descVillageSurat ?: string,
        public codeDistrictSurat ?: any,
        public descDistrictSurat ?: string,
        public salesCode ?: any,
        public picName ?: any,
        public shippingListDate ?: any,
        public refNumber?: any,
        public refDate?: any,
        public platNomor?: any,
        public notice?: any,
        public stnk?: any,
        public bpkb?: any,
        public bpkbNumber?: any,
        public dateSubmission?: any,
        public bbn?: any,
        public otherCost?: any,
        public costHandling?: any,
        public citizenship?: any,
        public postalCode?: any,
        public postalCodeSurat?: any,
    ) {
    }
}
    export class CustomVDR implements BaseEntity {
    constructor(
        public id?: any,
        public TotalData?: any,
        public ivuNumber ?: any,
        public vsoNumber ?: any,
        public vsoDate ?: any,
        public internalName ?: any,
        public name?: any,
        public vehicle?: Vehicle,
        public salesname?: any,
        public korsalName?: any,
        public note?: any,
        public idRequirement?: any,
        public PoliceNumber ?: any,
        public idOrderItem ?: any,
        public idOrder ?: any,
        public personOwner ?: Person,
        public organizationOwner?: Organization,
        public personCustomer ?: Person,
        public organizationCustomer?: Organization,
        public idInternal ?: any,
        public creditInstallment ?: any,
        public creditDownPayment ?: any,
        public creditTenor ?: any,
        public idCustomer ?: any,
        public saleTypeDesc ?: any,
        public keterangan ?: any,
        public salesCode ?: any,
        public platNomor?: any,
        public notice?: any,
        public stnk?: any,
        public bpkb?: any,
        public productName?: any,
        public productId?: any,
        public addressPersonStnk?: any,
        public addressOrganizationStnk?: any,
        public addressPersonCustomer?: any,
        public addressOrganizationCustomer?: any,
    ) {
        this.personOwner = new Person();
        this.organizationOwner = new Organization();
        this.personCustomer = new Person();
        this.organizationCustomer = new Organization();
        this.vehicle = new Vehicle();
    }
}
